#!/bin/sh

# --- Internal variables ---
SCRIPT_HOME=$(cd ${0%/*} && pwd -P)
# echo "Script home is: ${SCRIPT_HOME}"

ISMHOME=${SCRIPT_HOME}/..
# echo "ISM home is: ${ISMHOME}"

ISMLIB=${ISMHOME}/lib
export CLASSPATH=${ISMHOME}:${ISMLIB}/*
PATH=${ISMLIB}:${PATH}

MINHEAP=256m
MAXHEAP=512m
DEBUG=-Djava.security.debug=sunpkcs11,pkcs11
# export RUNJAVA="java -cp \"${CLASSPATH}\" -Xms${MINHEAP} -Xmx${MAXHEAP}"
export RUNJAVA="java -Xms${MINHEAP} -Xmx${MAXHEAP}"
# echo "java will be run as: ${RUNJAVA}"
# RUNJAVA="java -cp \"${CLASSPATH}\" -Xms${MINHEAP} -Xmx${MAXHEAP} ${DEBUG}"

ERRFILE=~/.clicksign-errors.txt
OUTFILE=~/.clicksign-output.txt
# if no output desired set this:
# ERRFILE=nul
# OUTFILE=nul

${RUNJAVA} $* # 2> ${ERRFILE} > ${OUTFILE}
